| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxAuiPaneLayoutInfo Struct Reference

`#include <wx/aui/serializer.h>`

Inheritance diagram for wxAuiPaneLayoutInfo:
[legend]

## Detailed Description

Description of user-modifiable pane layout information.

This struct is used with wxAuiSerializer and wxAuiDeserializer to store the pane layout. Its fields, including the inherited ones from wxAuiDockLayoutInfo, have the same meaning as the corresponding fields in wxAuiPaneInfo (with the exception of `is_maximized` and `is_hidden`, which rather correspond to the individual bits of its state field), but it doesn't contain the fields that it wouldn't make sense to serialize.

Since
  3.3.0

## Public Member Functions
| wxAuiPaneLayoutInfo (wxString name)
| Ctor sets the name, which is always required. More...

## Public Attributes
wxString | name
| Unique name of the pane. More...
wxPoint | floating_pos = wxDefaultPosition
| Position of the pane when floating, may be invalid. More...
wxSize | floating_size = wxDefaultSize
| Size of the pane when floating, may be invalid. More...
bool | is_maximized = false
| True if the pane is currently maximized. More...
bool | is_hidden = false
| True if the pane is currently hidden. More...
Public Attributes inherited from wxAuiDockLayoutInfo
int | dock_direction = wxAUI_DOCK_LEFT
| Direction of the dock containing the pane. More...
int | dock_layer = 0
| Layer of the dock containing the pane. More...
int | dock_row = 0
| Row of the dock containing the pane. More...
int | dock_pos = 0
| Position of the pane in the dock containing it. More...
int | dock_proportion = 0
| Relative proportion of the dock allocated to this pane. More...
int | dock_size = 0
| Size of the containing dock. More...

## Constructor & Destructor Documentation

## ◆ wxAuiPaneLayoutInfo()

wxAuiPaneLayoutInfo::wxAuiPaneLayoutInfo | ( | wxString | name | ) |
| explicit

Ctor sets the name, which is always required.

## Member Data Documentation

## ◆ floating_pos

wxPoint wxAuiPaneLayoutInfo::floating_pos = wxDefaultPosition

Position of the pane when floating, may be invalid.

## ◆ floating_size

wxSize wxAuiPaneLayoutInfo::floating_size = wxDefaultSize

Size of the pane when floating, may be invalid.

## ◆ is_hidden

bool wxAuiPaneLayoutInfo::is_hidden = false

True if the pane is currently hidden.

## ◆ is_maximized

bool wxAuiPaneLayoutInfo::is_maximized = false

True if the pane is currently maximized.

## ◆ name

wxString wxAuiPaneLayoutInfo::name

Unique name of the pane.